Subject: bug#77732: closed (Re: bug#77732: grep-edit-buffer errors with incionsistent behaviour)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Apr 2025 12:38:02 +0000

Your bug report

#77732: grep-edit-buffer errors with incionsistent behaviour

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77732: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77732
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77732: grep-edit-buffer errors with incionsistent behaviour
From: Eli Zaretskii <[email-masked]>
To: Johann Höchtl <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 26 Apr 2025 15:37:11 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Johann Höchtl <[email-masked]>
> Date: Wed, 23 Apr 2025 11:08:22 +0200
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> Am Di., 22. Apr. 2025 um 17:52 Uhr schrieb Paul Nelson <[email-masked]>:
> 
>  Try opening the new grep.el, C-c C-e in the buffer, then C-x C-e with point after the "defvar
>  grep-compilation-transform-finished-rules" form
> 
> That worked
> I did some tests with few matches, many matches 
> For my use-cases this fixes the bug.

Thanks, I've now installed this on the master branch, and I'm closing
this bug.

Subject: grep-edit-buffer errors with incionsistent behaviour
From: Johann Höchtl <[email-masked]>
To: [email-masked]
Date: Fri, 11 Apr 2025 11:33:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I am using Emacs from HEAD on Windows

I tried to reproduce the behaviour with emacs -Q but it still remains
inconsistent.

When I rgrep and there are few results (< 15) , I can enter grep buffer
pres 'e' to enter grep-edit mode, get out of it with C-c C-c, re-enter with
'e' and so on.

When there are more results, (between 15 and 70)  I still can enter with
'e' get out with C-c C-c but when I try to re-enter I get the error message
Wrong type argument: stringp, nil
The buffer later although still in grp-mode does not behave any longer as a
grep mode, 'g' or 'e' results in the error Buffer is read only : #<buffer
*grep*>

When there are many results, I get the error message Wrong type argument:
stringp, nil already on the first invocation attempt.

Thew boundaries are somewhat moving but at least I have the feeling the
more matches are, the more frequently I run into the

Wrong type argument: stringp, nil

already at first try.